#
# spec file for package heartbeat
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

%define build_crm 		1
%define build_cmpi 		1
%define	sanity_check		0
%define with_extra_warnings   	0
%define with_debugging  	0
%define without_fatal_warnings 	1
%define sanity_check_aborts_build 0
%define gname haclient
%define uname hacluster
%define uid 90
%define nogroup nobody
%define libnet_dep	libnet
%define SSLeay		perl-Net-SSLeay

Name:           heartbeat
Summary:        The Heartbeat Subsystem for High-Availability Linux
Version:        2.1.4
Release:        0.24.9
License:        GPL v2 or later; LGPL v2.1 or later
Url:            http://linux-ha.org/
Group:          Productivity/Clustering/HA
Source:         heartbeat-%{version}.tar.bz2
Source1:        heartbeat.suse.in
Patch1:         heartbeat-doc-directory.diff
Patch2:         heartbeat-cmi-indication-temporary-fix.diff
Patch3:         heartbeat-compatibility-level.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
AutoReqProv:    on
Conflicts:      pacemaker heartbeat-common heartbeat-core
%if 0%{?fedora_version}
Requires(post): /sbin/chkconfig
Requires(preun):/sbin/chkconfig
%endif
Requires:       /bin/ping iptables
Requires:       perl-TimeDate perl-MailTools
%if 0%{?suse_version}
Requires:       python-xml python-gtk pyxml
BuildRequires:  bison flex gdbm-devel libxml2-devel libxslt-devel python-xml
PreReq:         %insserv_prereq %fillup_prereq
Requires(pre):    /usr/sbin/groupadd /usr/bin/getent /usr/sbin/useradd
%define nogroup nogroup
%define SSLeay		perl-Net_SSLeay
%if 0%{?suse_version} == 930
BuildRequires:  rpm-devel
%endif
%if 0%{?suse_version} == 1000
BuildRequires:  lzo lzo-devel
%endif
%if 0%{?suse_version} < 1020
BuildRequires:  tcpd-devel
%endif
%if 0%{?sles_version} == 9
BuildRequires:  pkgconfig
%endif
%if 0%{?sles_version} == 10
Provides:       heartbeat-devel = 2.1.2-14
Obsoletes:      heartbeat-devel <= 2.1.2-14
BuildRequires:  OpenIPMI OpenIPMI-devel openhpi openhpi-devel
%endif
%endif
%if 0%{?fedora_version}
BuildRequires:  which
Requires:       pygtk2 >= 2.4
Requires(pre):          fedora-usermgmt
Requires(postun):       fedora-usermgmt
%define libnet_dep	libnet-devel
%define uid 24
%if 0%{?fedora_version} == 8
BuildRequires:  openssl-devel
%endif
%endif
%if 0%{?mandriva_version}
BuildRequires:  libbzip2-devel
%if 0%{?mandriva_version} > 2006
%define libnet_dep	libnet1.1.0-devel
%endif
%endif
BuildRequires:  %{libnet_dep} curl-devel e2fsprogs-devel glib2-devel gnutls-devel iputils libxml2-devel lynx net-snmp-devel pam-devel python-devel swig
%if %build_cmpi
BuildRequires:  openwbem-devel
%endif

%description
heartbeat is a sophisticated multinode resource manager for High
Availability clusters.

It can failover arbitrary resources, ranging from IP addresses over NFS
to databases that are tied in via resource scripts. The resources can
have arbitrary dependencies for ordering or placement between them.

heartbeat contains a cluster membership layer, fencing, and local and
clusterwide resource management functionality.

1.2/1.0 based 2-node only configurations are supported in a legacy
mode.

heartbeat implements the following kinds of heartbeats:

- Serial ports

- UDP/IPv4 broadcast, multi-cast, and unicast

- IPv4 "ping" pseudo-cluster members.



Authors:
--------
    Alan Robertson <alanr@unix.sh>
    Andrew Beekhof <abeekhof@suse.de>
    Guochun Shi <gshi@ncsa.uiuc.edu>
    Horms <horms@verge.net.net>
    Huang Zhen <zhenhltc@cn.ibm.com>
    Lars Marowsky-Bree <lmb@suse.de>
    Sun Jiang Dong <hasjd@cn.ibm.com>
    (See doc/AUTHORS)

%package ldirectord
License:        GPL v2 or later; LGPL v2.1 or later
Summary:        A Monitoring Daemon for Maintaining High Availability Resources
Group:          Productivity/Clustering/HA
Requires:       %{SSLeay} perl-libwww-perl ipvsadm
Obsoletes:      heartbeat-ldirectd
%if 0%{?fedora_version}
Requires(post): /sbin/chkconfig
Requires(preun):/sbin/chkconfig
%endif

%description ldirectord
The Linux Director Daemon (ldirectord) was written by Jacob Rief.
<jacob.rief@tiscover.com>

ldirectord is a stand alone daemon for monitoring the services on real
servers. Currently, HTTP, HTTPS, and FTP services are supported.
lditrecord is simple to install and works with the heartbeat code
(http://www.linux-ha.org/).

See 'ldirectord -h' and linux-ha/doc/ldirectord for more information.



Authors:
--------
    Jacob Rief <jacob.rief@tiscover.com>

%package stonith
License:        GPL v2 or later; LGPL v2.1 or later
Requires:       telnet, /usr/bin/ssh
Summary:        An Interface for Shoot The Other Node In The Head
Group:          Productivity/Clustering/HA

%description stonith
The STONITH module (also known as STOMITH) provides an extensible
interface for remotely powering down a node in the cluster.  The idea
is quite simple: when the software running on one machine wants to make
sure another machine in the cluster is not using a resource, pull the
plug on the other machine. The idea is simple and reliable, albeit
admittedly brutal.



Authors:
--------
    Alan Robertson <alanr@suse.com>

%package pils
License:        GPL v2 or later; LGPL v2.1 or later
Summary:        A General Plug-In and Interface Loading Library
Group:          Productivity/Clustering/HA

%description pils
A general plug-in and interface loading library. heartbeat-pills is
primarily used by heartbeat.



Authors:
--------
    Alan Robertson <alanr@unix.sh>

%if %build_cmpi

%package cmpi
License:        GPL v2 or later; LGPL v2.1 or later
Summary:        Heartbeat CIM Provider
Group:          Productivity/Clustering/HA

%description cmpi
This package provides the CIM provider for managing heartbeat via
OpenWBEM.



Authors:
--------
    Alan Robertson <alanr@unix.sh>
    Andrew Beekhof <abeekhof@suse.de>
    Guochun Shi <gshi@ncsa.uiuc.edu>
    Horms <horms@verge.net.net>
    Huang Zhen <zhenhltc@cn.ibm.com>
    Lars Marowsky-Bree <lmb@suse.de>
    Sun Jiang Dong <hasjd@cn.ibm.com>
    (See doc/AUTHORS)

%endif
%if 0%{?sles_version} != 10

%package devel 
License:        GPL v2 or later; LGPL v2.1 or later
Summary:        The Heartbeat Subsystem for High-Availability Linux
Group:          Productivity/Clustering/HA
Requires:       %{name} = %{version}-%{release}

%description devel
heartbeat is a sophisticated multinode resource manager for High
Availability clusters.

It can failover arbitrary resources, ranging from IP addresses over NFS
to databases that are tied in via resource scripts. The resources can
have arbitrary dependencies for ordering or placement between them.

heartbeat contains a cluster membership layer, fencing, and local and
clusterwide resource management functionality.

1.2/1.0 based 2-node only configurations are supported in a legacy
mode.

heartbeat implements the following kinds of heartbeats:

- Serial ports

- UDP/IPv4 broadcast, multi-cast, and unicast

- IPv4 "ping" pseudo-cluster members.



Authors:
--------
    Alan Robertson <alanr@unix.sh>
    Andrew Beekhof <abeekhof@suse.de>
    Guochun Shi <gshi@ncsa.uiuc.edu>
    Horms <horms@verge.net.net>
    Huang Zhen <zhenhltc@cn.ibm.com>
    Lars Marowsky-Bree <lmb@suse.de>
    Sun Jiang Dong <hasjd@cn.ibm.com>
    (See doc/AUTHORS)

%endif

%prep
###########################################################
%setup -n heartbeat-%{version}
%patch1 -p0
%patch2 -p0
%patch3 -p0
%if 0%{?suse_version}
cp $RPM_SOURCE_DIR/heartbeat.suse.in ./heartbeat/init.d/heartbeat.in
%endif
%{?suse_update_config:%{suse_update_config -f}}
###########################################################

%build
# TODO: revisit -all
CFLAGS="${CFLAGS} ${RPM_OPT_FLAGS}"
# Feature-dependent CFLAGS:
%if %with_extra_warnings
# CFLAGS="${CFLAGS} -Wshadow -Wfloat-equal -Waggregate-return -Wnested-externs -Wunreachable-code -Wendif-labels -Winline"
CFLAGS="${CFLAGS} -Wfloat-equal -Wendif-labels -Winline"
%endif
%if %with_debugging
CFLAGS="${CFLAGS} -O0"
%endif
# Distribution specific settings:
%if 0%{?suse_version} > 1001
CFLAGS="${CFLAGS} -fstack-protector-all"
%endif
%if 0%{?suse_version} < 1001
export PKG_CONFIG_PATH="$PKG_CONFIG_PATH:/opt/gnome/%{_lib}/pkgconfig:/opt/gnome/share/pkgconfig"
%endif
%if 0%{?suse_version} > 1020
CFLAGS="$CFLAGS -fgnu89-inline"
%endif
%if 0%{?fedora_version} > 6
CFLAGS="$CFLAGS -fgnu89-inline"
%endif
export CFLAGS
./ConfigureMe configure --prefix=%{_prefix} --sysconfdir=%{_sysconfdir} \
	--localstatedir=%{_var} --infodir=%{_infodir} 		\
	--mandir=%{_mandir} --libdir=%{_libdir} 		\
	--libexecdir=%{_libdir} 				\
	--with-group-name=%{gname} --with-ccmuser-name=%{uname} \
	--with-group-id=%{uid} --with-ccmuser-id=%{uid} 	\
	--with-hapkgversion=%{version} 				\
	--enable-libc-malloc 					\
	--enable-pretty 					\
%if %without_fatal_warnings
	--enable-fatal-warnings=no 				\
%endif
%if %build_cmpi
	--enable-cim-provider 					\
	--with-cimom=openwbem 					\
	--with-cmpi-headers=%{_includedir}/openwbem 		\
	--with-provider-dir=/usr/%{_lib}/openwbem/cmpiproviders \
%endif
%if %build_crm
	--enable-crm 						\
	--enable-mgmt
%else
	--disable-crm
%endif
export MAKE="make %{?jobs:-j%jobs}"
make %{?jobs:-j%jobs}
# make 
# No longer needed, we supply our own.
rm rc.config.heartbeat
###########################################################

%install
###########################################################
#make DESTDIR=$RPM_BUILD_ROOT install-strip
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
(
  cd $RPM_BUILD_ROOT/etc/ha.d/resource.d
  ln -s %{_sbindir}/ldirectord ldirectord
)
test -d $RPM_BUILD_ROOT/sbin || mkdir $RPM_BUILD_ROOT/sbin
(
  cd $RPM_BUILD_ROOT/sbin
  ln -s /etc/init.d/heartbeat   rcheartbeat
  ln -sf /etc/init.d/ldirectord rcldirectord 
)
%if %build_crm
ln -sf %{_libdir}/heartbeat-gui/haclient.py $RPM_BUILD_ROOT/usr/bin/hb_gui
chmod -x $RPM_BUILD_ROOT/%{_libdir}/heartbeat-gui/pymgmt.py
%endif
# Cleanup
[ -d $RPM_BUILD_ROOT/usr/man ] && rm -rf $RPM_BUILD_ROOT/usr/man
[ -d $RPM_BUILD_ROOT/usr/share/libtool ] && rm -rf $RPM_BUILD_ROOT/usr/share/libtool
find $RPM_BUILD_ROOT -name '*.a' -type f -print0 | xargs -0 rm -f
find $RPM_BUILD_ROOT -name '*.la' -type f -print0 | xargs -0 rm -f
chmod -x $RPM_BUILD_ROOT/%{_libdir}/heartbeat/ocf-shellfuncs
chmod -x $RPM_BUILD_ROOT/%{_sysconfdir}/ha.d/shellfuncs
###########################################################

%clean
###########################################################
if
  [ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ]
then
  rm -rf $RPM_BUILD_ROOT
fi
rm -rf $RPM_BUILD_DIR/heartbeat-%{version}
###########################################################

%pre
%if 0%{?fedora_version}
/usr/sbin/fedora-groupadd %{uid} -r %{gname} &>/dev/null || :
/usr/sbin/fedora-useradd %{uid} -r -s /sbin/nologin -d %{_var}/lib/heartbeat/cores/%{uname} -M \
        -c 'heartbeat user' -g %{gname} %{uname} &>/dev/null || :
%else
if
  getent group %{gname} >/dev/null
then
  : OK group haclient already present
else
  /usr/sbin/groupadd -o -r -g %{uid} %{gname} 2>/dev/null || :
fi
if
  getent passwd %{uname} >/dev/null
then
  : OK hacluster user already present
else
  /usr/sbin/useradd -r -g %{gname} -c "heartbeat processes" \
  	-d %{_var}/lib/heartbeat/cores/%{uname} -o -u %{uid} \
	%{uname} 2>/dev/null || :
fi
%endif
#
###########################################################

%post
/sbin/ldconfig
%if 0%{?suse_version}
  %{fillup_and_insserv -n heartbeat}
%endif
%if 0%{?fedora_version}
  /sbin/chkconfig --add heartbeat
%endif
%if %sanity_check
if [ -e /.buildenv ] && [ ! -e /tmp/linux-ha.testlog ]; then
	%{_prefix}/share/heartbeat/BasicSanityCheck
	rc=$?
	killall -9 heartbeat ccm stonithd cib crmd lrmd \
		tengine pengine ha_logd
	if [ $rc -ne 0 ]; then
		echo BasicSanityCheck exited with non-zero code: $rc. test log follows:
		cat /tmp/linux-ha.testlog
%if %sanity_check_aborts_build
		exit 1
%endif
	fi
else
	mv /tmp/linux-ha.testlog /tmp/linux-ha.testlog.save
fi
true
%endif
###########################################################

%preun
%if 0%{?suse_version}
  %stop_on_removal heartbeat
%endif
%if 0%{?fedora_version}
  /sbin/chkconfig --del heartbeat
%endif
###########################################################

%postun
%run_ldconfig
%if 0%{?suse_version}
  %restart_on_update heartbeat
  %{insserv_cleanup}
%endif
%if 0%{?fedora_version}
  test "$1" != 0 || /usr/sbin/fedora-userdel  %{uname} || :
  test "$1" != 0 || /usr/sbin/fedora-groupdel %{gname} || :
%endif
###########################################################

%post ldirectord
%if 0%{?fedora_version}
  /sbin/chkconfig --add ldirectord
%endif

%preun ldirectord
%if 0%{?fedora_version}
  /sbin/chkconfig --del ldirectord
%endif

%post stonith -p /sbin/ldconfig

%postun stonith -p /sbin/ldconfig

%files
###########################################################
%defattr(-,root,root)
%dir %{_sysconfdir}/ha.d
%dir %{_libdir}/heartbeat
%{_prefix}/share/heartbeat
%exclude %{_datadir}/heartbeat/cim
%{_libdir}/heartbeat
# Exclude pointless compatability symlinks
#%exclude %{_libdir}/heartbeat/SNMPAgentSanityCheck
%exclude %{_libdir}/heartbeat/TestHeartbeatComm
%exclude %{_libdir}/heartbeat/BasicSanityCheck
#%exclude %{_libdir}/heartbeat/ResourceManager
%exclude %{_libdir}/heartbeat/lrmtest
%exclude %{_libdir}/heartbeat/cts
%exclude %{_libdir}/heartbeat/cim
# Exclude compatability symlink - borderline but shouldn't be required
%if %build_crm
%exclude %{_libdir}/heartbeat/crm.dtd
%endif
# Exclude V1 Compatability symlinks - disabled for now...
#%exclude %{_libdir}/heartbeat/hb_setweight
#%exclude %{_libdir}/heartbeat/hb_standby
#%exclude %{_libdir}/heartbeat/hb_takeover
#%exclude %{_libdir}/heartbeat/mach_down
#%exclude %{_libdir}/heartbeat/req_resource
# Exclude V2 Compatability symlinks - disabled for now...
#%exclude %{_libdir}/heartbeat/hb_addnode
#%exclude %{_libdir}/heartbeat/hb_delnode
#%exclude %{_libdir}/heartbeat/ha_config
#%exclude %{_libdir}/heartbeat/ha_logger
#%exclude %{_libdir}/heartbeat/hb_setsite
#%exclude %{_libdir}/heartbeat/ha_propagate
%dir %{_var}/run/heartbeat
%dir %{_var}/lib/heartbeat
%dir %{_var}/lib/heartbeat/cores
%dir %attr (0755, %{uname}, %{gname})   %{_var}/run/heartbeat/ccm
%dir %attr (0700, root, root)           %{_var}/lib/heartbeat/cores/root
%dir %attr (0700, nobody,   %{nogroup}) %{_var}/lib/heartbeat/cores/nobody
%dir %attr (0700, %{uname}, %{gname})   %{_var}/lib/heartbeat/cores/%{uname}
%{_sysconfdir}/ha.d/README.config
%{_sysconfdir}/ha.d/harc
%{_sysconfdir}/ha.d/rc.d
%{_sysconfdir}/init.d/heartbeat
%{_sysconfdir}/ha.d/resource.d/
# This belongs in the ldirectord package
%exclude %{_sysconfdir}/ha.d/resource.d/ldirectord
%config(noreplace) %{_sysconfdir}/ha.d/shellfuncs
%config(noreplace) %{_sysconfdir}/logrotate.d/heartbeat
%{_libdir}/libapphb.so.*
%{_libdir}/libccmclient.so.*
%{_libdir}/libclm.so.*
%{_libdir}/libhbclient.so.*
%{_libdir}/liblrm.so.*
%{_libdir}/libplumb.so.*
%{_libdir}/libplumbgpl.so.*
%{_libdir}/librecoverymgr.so.*
%{_libdir}/libstonithd.so.*
# %{_prefix}/lib/heartbeat/*
%{_prefix}/lib/ocf
/sbin/rcheartbeat
%attr (2555, root, haclient) /usr/bin/cl_status
%{_bindir}/cl_respawn
%{_sbindir}/ocf-tester
%{_sbindir}/hb_report
%{_sbindir}/ha_logger
%{_sbindir}/sbd
%{_sbindir}/sfex_init
%doc %{_datadir}/doc/packages/heartbeat
%doc %{_mandir}/man1/cl_status.1*
%doc %{_mandir}/man1/ha_logger.1*
%doc %{_mandir}/man1/hb_addnode.1*   
%doc %{_mandir}/man1/hb_delnode.1*   
%doc %{_mandir}/man1/hb_standby.1*   
%doc %{_mandir}/man1/hb_takeover.1*   
%doc %{_mandir}/man8/apphbd.8*
%doc %{_mandir}/man8/ha_logd.8*
%doc %{_mandir}/man8/heartbeat.8*
%if %build_crm
%{_libdir}/libcib.so.*
%{_libdir}/libcrmcommon.so.*
#%{_libdir}/heartbeat/crm_primitive.py
%{_libdir}/libpe_status.so.*
%{_libdir}/libpe_rules.so.*
%{_libdir}/libpengine.so.*
%{_libdir}/libtransitioner.so.*
%{_sbindir}/cibadmin
%{_sbindir}/ciblint
%{_sbindir}/crm_attribute
%{_sbindir}/crm_diff
%{_sbindir}/crm_failcount
%{_sbindir}/crm_master
%{_sbindir}/crm_mon
%exclude %{_sbindir}/crm_sh
%{_sbindir}/crm_resource
%{_sbindir}/crm_standby
%{_sbindir}/crm_uuid
%{_sbindir}/crm_verify
%{_sbindir}/crmadmin
%{_sbindir}/iso8601
%{_sbindir}/ccm_tool
%{_sbindir}/attrd_updater
%{_sbindir}/ptest
%doc %{_mandir}/man8/cibadmin.8*
%doc %{_mandir}/man8/crm_resource.8*
%dir %attr (750, %{uname}, %{gname}) %{_var}/lib/heartbeat/crm
%dir %attr (750, %{uname}, %{gname}) %{_var}/lib/heartbeat/pengine
%dir %attr (750, %{uname}, %{gname}) %{_var}/run/heartbeat/crm
# GUI files
%{_prefix}/share/heartbeat-gui
%{_libdir}/heartbeat-gui
%{_libdir}/libhbmgmt.so.*
%{_libdir}/libhbmgmtclient.so.*
%{_libdir}/libhbmgmtcommon.so.*
%{_libdir}/libhbmgmttls.so.*
/usr/bin/hb_gui
%{_sysconfdir}/pam.d/hbmgmtd
/usr/share/locale/zh_CN/LC_MESSAGES/haclient.mo
%endif
%if 0%{?sles_version} != 10

%files devel
%defattr(-,root,root)
%endif
#%doc %{_datadir}/doc/%{name}-%{version}
%{_includedir}/heartbeat/
%{_includedir}/clplumbing/
%{_includedir}/saf/
%{_includedir}/ocf/
%{_includedir}/stonith/
%{_includedir}/pils/
%{_libdir}/*.so
# Files for CIM
%if %build_cmpi

%files cmpi
%defattr(-,root,root)
%{_datadir}/heartbeat/cim
%{_libdir}/openwbem/cmpiproviders/libHA*
%endif
###########################################################
# Files for ldirectord

%files ldirectord
###########################################################
%defattr(-,root,root)
%doc doc/README
%doc doc/COPYING
%doc ldirectord/ldirectord.cf
%doc %{_mandir}/man8/ldirectord.8*
#%doc %{_mandir}/man8/supervise-ldirectord-config.8*
%{_sbindir}/ldirectord
/sbin/rcldirectord
#%{_sbindir}/supervise-ldirectord-config
%{_sysconfdir}/init.d/ldirectord
%{_sysconfdir}/ha.d/resource.d/ldirectord
%config(noreplace) %{_sysconfdir}/logrotate.d/ldirectord
###########################################################
# Files for the stonith library

%files stonith
###########################################################
%defattr(-,root,root)
%doc doc/README
%doc doc/COPYING
%{_libdir}/libstonith.so.*
%{_libdir}/stonith
%{_sbindir}/stonith
%{_sbindir}/meatclient
%doc %{_mandir}/man8/stonith.8*
%doc %{_mandir}/man8/meatclient.8*
###########################################################
# Files for the PILS library

%files pils
###########################################################
%defattr(-,root,root)
%doc doc/README
%doc doc/COPYING
%{_libdir}/pils
%{_libdir}/libpils.so.*

%changelog
* Thu Feb  3 2011 tserong@novell.com
- High: LRM: raexecocf: list resource agents properly (bnc#664409)
- Update tarball to SLES10 branch cs#cb5def86a240
* Thu Oct 21 2010 tserong@novell.com
- Low: MailTo: email address might be an alias for which no local
  users exists (bnc#641351)
- Update tarball to SLES10 branch cs#1938c8144a82
* Wed Oct 13 2010 tserong@novell.com
- Med: meatware: Time out waiting for meatware requests (bnc#623063)
- Med: Ensure "crm_resource -W" can recognize master_slave resources
  (bnc#622617)
- Update tarball to SLES10 branch cs#a715e3889f69
* Sat Oct  9 2010 tserong@novell.com
- High: RA: oracle: pass environment variables and reduce dependency
  on oracle .profile changes (bnc#567815)
- High: PE: Enforce mandatory promotion (colocation) constraints
  (lf#2403, bnc#586217)
- High: PE: Allow master instances placemaker to be influenced by
  colocation constraints (lf#2197, bnc#586217)
- Low: EvmsSCC: rely on the exit code of evms_activate in start notify
  (bnc#638494)
- Update tarball to SLES10 branch cs#7c8f4d47c30b
* Mon May 10 2010 tserong@novell.com
- High: Latest version of SAPDatabase RA (bnc#600944)
- High: Latest version of SAPInstance RA (bnc#584615)
- Med: Fix crm_resource --delete-parameter having no effect (bnc#580965)
- Med: Fix hb_gui move up/down (bnc#571114), pengine abort (bnc#572966)
- Med: Fix memory leak in crm_mon (bnc#569954)
- Low: Raid1: Improve monitor function (bnc#546551)
- Low: ClusterMon: don't fail in stop if the process is missing (bnc#569957)
- LRM: Convert '-' to '_' in variable names (bnc#580008)
- Update tarball to SLES10 branch cs#9d5e3791602b
* Mon Sep 28 2009 lmb@novell.com
- High: mgmtd: Let mgmtd r/w the consistent cib (bnc#539557).
- Med: GUI: Adopt the consistent naming policy of "meta_attributes" id
  with crm_resource for GUI (bnc#498805, bnc#539621)
- High: PE: Mask the "symmetrical" attribute on rsc_colocation
  constraints (bnc#540672)
- Med: stonith: wti_nps: add support for internet power switch model
  (bnc#539912)
- High: TE: Ensure proper behaviour when faced with severe network
  issues (bnc#505018)
- Update tarball to SLES10 branch cs#967b595aad3b
* Fri Aug 21 2009 lmb@suse.de
- /etc/init.d/heartbeat: Do not print sbd error message during reload
  (bnc#529666).
- sfex: Include binary and RA (bnc#529974).
- stonith: external/riloe: make sure that the host has power after
  hold_button (bnc#462849).
- sbd: Respect all commandline options (bnc#476053).
- PE: fix collocation with node_attribute (bnc#466788).
- send_arp: make ip conversion work on big endian platforms
  (bnc#512896).
- PE/TE: handle shutdown escalation correctly (bnc#490426).
- Update tarball to SLES10 branch cs#72995afdde13.
* Tue Dec  2 2008 lmb@suse.de
- GUI: Reflect resources being moved within groups correctly
  (bnc#439893).
- LRM: fix return values on RA missing.
- PE: Do not restart the entire unordered, uncollocated group if one
  child is migrating (bnc#440242).
- PE: Ensure scores from colocated resources count when allocating
  groups (bnc#437719).
- RA: Filesystem/ocfs2: Do not change case for cluster name setting
  (LF#1897).
- RA: IPaddr2: also needs to check if send_arp is available.
- RA: Xen: fix severity for one log message.
- hb_report: don't export CTS to slave nodes.
- ldirectord: Don't die if configuration file can't be re-read.
- ldirectord: Strip quotes enclosing commands.
- ldirectord: reap child processes.
- stonith: bladehpi: fix a mix of a threaded library and not threaded
  stonithd (bnc#389344).
- stonith: external/ibmrsa-telnet: Fix flusing of debug messages.
- stonithd: exit with better code on empty host list.
* Mon Oct 20 2008 lmb@suse.de
- The following fix was missing from the previous package, despite
  being mentioned in the changelog:
- PE: Don't restart group children who's individual score drops below
  zero (bnc#417585)
- RA: vmware: New agent added.
- RA: mysql: Fix typo which affected start-up.
- RA: apache: envfiles attribute to source extra environment (e.g.
  envars).
- RA: LVM: stop correctly in case vol group does not exist.
- RA: ldirectord: add option for executing command on fallback.
- RA: ldirectord: Add web proxy health checking to ldirectord.
- crm_mon: Correct refresh rate in html output (bnc#434727).
- dopd: hostnames should be case insensitive.
- stonith: external/riloe: many fixes for HP iLO (bnc#425153).
- stonith: external/drac3: initialize curl and fix xml parsing
  (LF#1730)
- stonith: external/drac5: new plugin.
- stonith: external/sbd for shared storage fencing merged (includes fix
  for LF#1961).
- heartbeat: close watchdog files properly.
- hb_report: user can specify nodes on the command line
- hb_report: improve nodes processing (prefer hostcache)
* Mon Aug 18 2008 lmb@suse.de
- Update to 2.1.4 (006a5468fde1), key issues fixed:
- PE: Ordering between groups and primitives fixed (bnc#396293).
- PE: Failure score could be overrode by collocation (bnc#385265).
- PE: Restore the ability to have start failures not be fatal (LF#1866).
- PE: Allow the cluster to make progress by not retrying failed demote
  actions.
- PE: Implement promote/demote ordering for cloned groups.
- PE: Group start ordering fixes.
- PE: Make sure monitoring matches the promote/demote state.
- PE: Collocation with clones caused unnecessary clone instance
  shuffling (bnc#387749).
- PE: The failure stickiness of group children is ignored until it
  reaches -INFINITY (bnc#385265).
- PE: Enforce mandatory group restarts due to ordering constraints
  (bnc#396293).
- PE: Correctly recover master instances found active on more than one
  node.
- PE: Improve probe handling and detection (LF#1920, LF#1932).
- PE: Prefer the current location if it is one of a group of nodes with
  the same (highest) score.
- TE: Prevent the TE from interrupting itself and making failcounts work
  right again (LF#1859).
- PE: Don't restart group children who's individual score drops below
  zero (bnc#417585)
- crmd: Make sure cancelled recurring operations are cleaned out from
  the CIB (LF#1894).
- RA: Filesystem: Ensure OCFS2 membership links are only deleted on
  clean umount (bnc#389599).
- RA: drbd: Ensure the master preference is set/deleted consistently.
- RA: IPaddr2: fix IP_CIP_HASH default.
- RA: o2cb: Clarify description to explain that it should not be used.
- stonith: external/rackpdu update.
- stonith: apcmastersnmp handles poweron/poweroff correctly.
- stonith: external/ipmi: add interface parameter.
- LRM: Support resource timing and async failure notifications
  (LF#1625).
- GUI: Support calling hb_report.
- crm_mon: improved reporting (LF#1883).
- Logging improvements.
- ocf-tester: validate meta-data.
- Minor bugs: LF#1868, LF#1866, LF#1814, LF#1812, bnc#381208, LF#1871,
  LF#1881 LF#1882, LF#1875, LF#1900, LF#1906, LF#1926, bnc#399497,
  bnc#357894.
- ldirectord: requires perl-MailTools for e-mail alerts and monitoring
  of POP3 services (bnc#389530).
- Use libc malloc instead of internal allocator.
* Mon Apr  7 2008 lmb@suse.de
- Exclude crm_sh from packaging (bnc#371037)
- crmd: Connecting to the crmd immediately after startup causes
  use-of-NULL (bnc#369380)
- crmd: Delay starting the IPC server until we're fully functional
  (bnc#369380)
- crmd: Handle unmanaged resources on shutdown (LF#1837)
- cib: Ensure that the CIB is written to disk in all cases.
- pengine: improved anonymous clone, group handling, improved
  master/slave handling (LF#1777, LF#1822, LF#1820, PM#7, PM#12,
  bnc#371783, PM#1, bnc#34700, 4LF#1648, PM#11, LF#1860, LF#1859)
- pengine: Handle STONITH on start-up properly (LF#1768)
- cibadmin: require -f on potentially dangerous commands.
- CLI: Handle stdout/stderr consistently (bnc#369914)
- lrmd: fix a memory leak in raexechb.c (LF#1841)
- lrmd/crmd: improve status propagation (LF#1830)
- RA: Xen: Many fixes (LF#1830, LF#1856, LF#1858, bnc#369724)
- RA: ids: allow meta-data and usage under all circumstances
- RA: Update SAPDatabase to 1.91
- RA: Update SAPInstance to 1.91
- haclient: Fill all sub-resources into the list of combobox for
  selecting
- mgmt: Several improvements and fixes.
- hb_report: Many improvements and collecting more relevant information.
* Mon Mar  3 2008 lmb@suse.de
- Fix end-of-month time calculation in leap years (LF#1849)
- mgmt: Resolve the issue caused by inconsistent names between DTD and
  RA.
- mgmt: Rewrite "instance_attributes", "operations" and "expression"
  based on the new model.
* Thu Feb 28 2008 lmb@suse.de
- Fix blank definition of HA_HBCONF_DIR corrupts heartbeat (bnc#364816)
- OCF RAs: Make which quiet if it doesn't find the binary.
- IPaddr RA: fix parsing loopback interface for lvs support.
- mysql RA: Minor bug fixes.
- PostgreSQL RA: fix status/monitor function.
- Correct stonith.8 man page, add examples (LTC#32445)
* Mon Feb 18 2008 lmb@suse.de
- Update SAPInstance and SAPDatabase resource agents (bnc#359207)
- Fix metadata of some RAs to be DTD compliant (bnc#359907)
* Mon Feb  4 2008 lmb@suse.de
- Add pyxml dependency (bnc#358625)
* Mon Feb  4 2008 lmb@suse.de
- mgmt: Return the actual value returned from cib_conn (bnc#356170)
- CIB: Ensure changes to top-level attributes (like admin_epoch) cause a
  disk write
- stonith ipmilan: add an optional parameter to specify the reset method
* Fri Jan 25 2008 lmb@suse.de
- Add openHPI dependency to build HPI STONITH module (FATE 302711).
- Fix IPMI STONITH (356219).
- Fix hb_gui PAM definition (356169).
* Fri Jan 18 2008 lmb@suse.de
- Update for SLE10 SP2:
- Update to version 2.1.3 from upstream (FATE 302677).
- Resource Agent for iSCSI initiator added (FATE 301250).
- Added hooks to SAP Resource Agents (FATE 302165, bugzilla 263195).
- GUI enhancements by Yan Gao.
- Backported a few Policy Engine fixes.
* Fri Apr 20 2007 abeekhof@suse.de
- Add two additional changesets as patches
  afc8e78ab64b (Novell BZ #266128)
  - Memory related fixes in the Policy Engine
  787fccc3a92a (OSDL BZ #1548)
  - Repair logging, include process name in logs
* Wed Apr 11 2007 lmb@suse.de
- Update to dev:a5f71c2dea64
- CIB: Fix memory leak.
* Wed Apr 11 2007 lmb@suse.de
- Update to dev:cd7a78d5646f
- RA: Fix SAPInstance and SAPDatabase (262907).
- CCM: Reduce fail-over delays considerably (LF 1138).
- CRM: Shutdown during startup no longer hangs (LF 1532).
- PE: Don't start resources until fencing is guaranteed to be
  completed.
- CIB: Empty updates should not trigger a CIB version update.
- CIB: Allow cluster options to be created when the default set is not
  present.
- PE: Handle not installed resource agents instead of running amok.
- RA: ldirectord reload fixed.
- RA: drbd: If drbd is stopped, demote should fail with NOT_RUNNING.
- CLI: Allow cluster config options to be managed, instead of crashing.
- LRM: Test harness improvements.
- Minor fixes.
* Mon Mar 19 2007 lmb@suse.de
- Update to dev:2abefc7bf5b4
- CRM: Empty values in CIB caused drop of other attributes (LF 1514).
- CRM: Clear a buffer correctly.
* Mon Mar 12 2007 lmb@suse.de
- Update to dev:92a324e533bf
- heartbeat: Filter out ping nodes from startup synchronization
  (250207).
- PE: Node shutdown caused restart instead of live migration (252693).
- PE: Allow migration during startup (252693).
- PE: Avoid needlessly restarting changed monitor operations for
  stopping resources (251689).
- RA: Evmsd: Fix evmsd integration (250273).
- RA: ibmhmc: Metadata fixed for the GUI (LF 1506).
- BSC/ocf-tester: Minor extensions to our self-tests.
* Mon Mar  5 2007 lmb@suse.de
- Update to dev:9cc3282279a0
- Fix the include headers properly.
- CRM: Don't update the restart list with unset attributes and prevent
  spurious restarts,
- PE: Add node score to clone stability function (OSDL 1494).
- PE: Compare uname without case sensitivity (OSDL 1499).
- PE: Fix anti-colocation when one half of the constraint cannot be run.
- PE: Set common resource attributes before calling unpack function for
  complex resources (OSDL 1492).
- PE: Make clones semi-sticky by default to prevent resource outages.
- TE: Detect changes to selected attributes of CIB element.
- TE: Unpack meta attributes in the graph correctly.
- CRM/LRM: Don't create a resource prior to deletion.
- RA: Filesystem: Move ocfs2_init out of the generic stop path (250603).
- RA: Filesystem: Filter duplicates from OCFS2 node activation list to
  avoid spurious error messages.
- RA: Xen: Update to match output of newer xm list command (250625).
- RA: EvmsSCC cleanups (199730).
- RA: pgsql: Fixes for shutdown escalation.
- crm_failcount: Map absence of attribute to value 0.
- crm_resource: Fix -f option.
- ocf-tester: Continue if validate-all succeeds.
- STONITH: external/riloe: Bugfixes.
- attrd: Repeated calls to attrd_update with dampen absorbs attribute
  changes (OSDL 1500).
- Logging adjustments and fixes.
* Tue Feb 20 2007 lmb@suse.de
- heartbeat-revert-62a77874bdf4-2.diff: Back out changeset which
  modified our external include structure.
* Mon Feb 19 2007 lmb@suse.de
- Update to dev:7dbd2d974acc
- Fix several resource leaks in error legs uncovered by Coverity.
- More memory fixes thanks to valgrind.
- STONITH: HMC(ppc): Fix password passing and hostlist parsing (OSDL
  1488, OSDL 1489).
- PE: Provide useful logging when a cloned resource is found active
  somewhere it shouldn't be.
- PE: Fix rsc_colocation with master role (246681).
- RA: drbd: sanitize drbdadm output so the status querying works better.
- attrd: Exit if heartbeat dies.
- crm_standby/crm_attribute/crm_master: Always default to the local node
  if uname not specified.
* Tue Feb 13 2007 lmb@suse.de
- Update to dev:acb6c89935d6
- Fix several severe memory leaks thanks to valgrind.
- Use libc memory allocation functions.
- LRM/CRM interaction: Fix one crash during BSC (#244444).
- PE: Fix for potential NULL dereference (OSDL 1486).
- RA: pgsql: Allow port number of instance to be specified.
- Fix some compiler warnings.
* Mon Feb  5 2007 lmb@suse.de
- Update to dev:ef5945fc1fbe
- CIB: Create synchronous r/w connections correctly (OSDL 1480).
- PE: Order promotions after _all_ demotions have completed (239082).
- PE: Master placement was not persistent (239086).
- PE: Set priority for actions correctly so that notifications are never
  lost (239079).
- PE: Fix on_fail=stop setting on actions (OSDL 1484).
- crm_master: crm_master uses the same IDs for permanent and transient
  attributes (239075).
- crm_primitive.py: default the provider to "heartbeat" for OCF
  resources if not set.
- crm_standby: Use current node name as default.
- RA: drbd: Fix some issues and work-arounds for drbdadm bugs.
* Thu Jan 25 2007 lmb@suse.de
- Update to dev:bc43ec0a0ff9
- PE: Fix rsc_order constraints from group to group.
- PE: Cleanup transition graphs and dot file generation.
- CIB: Fix crash in replace operation.
- RA: pgsql: Handle unset PGHOST option correctly.
* Fri Jan 19 2007 lmb@suse.de
- Update to dev:0855cf458913
- Integrate build dependency reduction into upstream.
- crm_resource: place lifetime rule in correct section.
- CRM: Fix one crash triggered by async error notifications.
- PE: Optimize out nodes which cannot run resources.
- CTS: Improvements to test async error notifications.
* Wed Jan 17 2007 lmb@suse.de
- Update to dev:5d3bd17fcc23
- RA: Xen: Fix typo in migration functionality.
- RA: drbd: Allow floating peers (FATE 300300).
- CRM: deadlock if shutdown while starting up (OSDL 1465).
- CIB: Fix crash in find_attr_details (OSDL 1472)
- crm_resource: Check for sane host names when migrating (OSDL 1374).
- crm_resource: Allow resource meta attributes to be set with crm_admin
  (OSDL 1451).
- crm_resource: Migrate should allow creating temporary rules (OSDL
  1462).
- crm_resource: Add clone support to crm_resource (OSDL 1073).
- CIB: Allow automatic assignment of object IDs (OSDL 1430).
* Tue Jan 16 2007 olh@suse.de
- remove build dependency on iptables
  iptables depends on kernel-source
  everything yast related depends on heartbeat, via evms
  fixes also /usr/lib/ocf/resource.d/heartbeat/IPaddr2
* Sun Jan 14 2007 lmb@suse.de
- Update to 2.0.8 - dev:92de87ae3f26
- CRM: Support migration operations (FATE 300722).
- CRM: Reorder CCM inputs to avoid potential deadlock on startup.
- PE: Allow rsc_colocation constraints to be symmetrical.
- CTS improvements.
- RA: Xen: Support migrate operation.
- RA: mysql, apache, pgsql, oracle, ServeRAID: minor fixes.
- stonith: New plugin for IBM RSA/RSA II (OSDL 1292).
* Thu Jan  4 2007 lmb@suse.de
- Update to 2.0.8-pre - dev:c38fb26a9497
- Core/CRM: Improvements to the memory allocation, message, and string
  handling libraries result in an overall speed-up of 65%%.
- CRM: Fix ISO date handling for Jan 01 of any year.
- CRM: Only update the voted hashtable with no-votes for the current
  election.
- RA: IPaddr: Support netmask both in CIDR and in dotted-quad notation.
- logd: Fix trailing random byte in log messages (OSDL 1268).
- Reduced logging.
* Wed Dec 13 2006 lmb@suse.de
- Update to 2.0.8 series - dev:1b5f016641ee (FATE 301631).
- heartbeat:  Work around a glibc/times() bug to prevent failures every
  497 days on 32-bit Linux (OSDL 1407).
- heartbeat: Retransmits were requested more often than they'd be
  honored (OSDL 1455).
- CTS/PE: Introduce CRM option "startup_fencing" to disable fencing of
  unseen nodes, because CTS can't handle this.
- PE: Split-off "network-delay" option from global_timeout to separate
  network delays from action timeouts.
- PE/CRM: Binaries now support being called with "metadata" command to
  document the complete list of options in the CIB.
- PE: DTD: Include start_delay as a property of operation objects.
- PE: Fix implementation of date_spec when no range is specified.
- PE: Enforce clone_node_max for already running resources.
- PE: Clones were not being stopped on node shutdown.
- PE: Allow resource colocation based on node attributes other than #id
  (node_attribute option added to rsc_colocation constraint).
- PE: Improved handling when timeout < start_delay (OSDL 1421).
- PE: Pre-notifications for promote occured before start was completed
  (OSDL 1447).
- PE: Allow any two pairs of actions to be specified for rsc_order (OSDL
  1452).
- PE: Handle asymmetric clusters where RAs are not installed on all
  nodes.
- PE: Allow resource stickiness and failure stickiness to change based
  on node attributes.
- CIB: Fix update_attr() causes attrd to hang at shutdown when there is
  no DC (OSDL 1432).
- CIB: Corrupted config file prevents heartbeat restart (OSDL 1385).
- CIB: Startup processing improvements; DTD validation will be
  automatically activated if the CIB on-disk validates.
- TE: Fix memory leak.
- TE: Failcount wasn't being updated in all cases.
- TE: never update the CIB with unconfirmed stop actions (OSDL 1435).
- CTS/RA: Replace OCFMSDummy with Stateful RA.
- CCM: Centralize quorum calculation on the transition leader.
- CCM: Support split-site and external quorum servers.
- CRM: Ignore status update for non-members (ie, ping nodes).
- LRM: Don't postpone postponed resources.
- LRM: Fix restart in case an lrmd is already running (OSDL 1333).
- LRM: Fix overflow in RA output handling (OSDL 1433).
- mgmtd: Robustness and memory leak fixes.
- mgmtd: make the port used configurable (OSDL 1390).
- haresources2cib.py: Improve v1 to v2 conversion tool (OSDL 1415).
- GUI: ping nodes appear as failed in gui (OSDL 1394).
- GUI: Reduce duplicates in RA list by only showing the OCF one if both
  ocf and hb RA exist) (OSDL 1338).
- GUI: Add new resource to currently selected group (OSDL 1414).
- GUI: support all attributes of operations (OSDL 1372).
- GUI: Create first resource along with a new group; delete group when
  last resource is removed (OSDL 1287).
- GUI: Set defaults for clones and m/s RAs (OSDL 1352).
- GUI: Use meta-data defaults when creating actions (OSDL 1351).
- GUI: GUI: start all sub resources when we start a group or a clone
  (OSDL 1449).
- GUI: support ordered==false or non-collocated==false groups (OSDL
  1257).
- stonithd: Fix memory leak.
- stonithd: Remove reliance on farside_pid (OSDL 1412).
- stonith external/riloe: Make the login name and iLo device address
  configurable.
- crm_resource: Add manpage.
- RA: PureFTPd, mysql, ManageVE (to manage an OpenVZ container),
  ManageRAID, WAS6 (Websphere 6) added.
- RA: Include SAPInstance and SAPDatabase (FATE 2172).
- RA: IPaddr cleanup to avoid race conditions in the script. Report
  status failure when an IPaddr is active on a different interface but
  allow it to be stopped.
- RA: IPaddr2 fixes for loopback bound addresses.
- RA: Filesystem reported wrong status/monitor results for OCFS2 in some
  circumstances (Novell 187080).
- RA: Improve heartbeat v1 wrappers.
- RA: Fix db2 monitor operation.
- RA: ldirectord: Make the emailalert and emailalertfreq options global
  as well as non-global, make checkcount global as well as per-virtual,
  add radius check, improvements to documentation.
- RA: pgsql: Make server logfile configurable and implement
  validate-all. New parameter ctl_opt added to pgsql to support
  additional options for pg_ctl.
- CRM: First beginnings of a cluster-wide shell (FATE ...)
- BEAM / Coverity induced fixes.
- Minor compatibility fixes (OSDL 1405).
- Logging improvements all over the place.
* Tue Oct 31 2006 lmb@suse.de
- Update to 2.0.7-devel from (dev:94243820b011).
- Extended support for master-slave resources (FATE 300723).
- OCF RA API compliance checker (FATE 300737).
- Support weak and uni-directional collocation constraints (FATE
  300792).
- Many bugfixes.
* Mon Aug 14 2006 lmb@suse.de
- Update to 2.0.7:
- Remote Denial of Service attack (#195068, CVE-2006-3121).
- Bugfixes to the CRM, the LRM and the GUI.
- GUI failed to connect to and retrieve data from the cluster (#198747).
- Improved log messages.
- ptest can now read compressed XML directly. Do not include optional
  actions and dependancies in ptest output by default.
- crm_resource will now warn and demand exact specification when trying
  to modify an attribute while several sets are present.
- lrmd now limits itself to a maximum of 4 child processes, to avoid
  overloading the node and causing too long delays.
- pengine: Processing of pending probes; should not be treated as if the
  resource is running or in a known state.
- target_role now is only taken into account for managed resources.
- cib: Detect more cases where the nodes section needs to be refreshed.
- More accurately determine node status. (OSDL 1369)
- Filter out stop requests that would require a resource to be added.
  (OSDL 1369)
- Send filtered resource "stops" as successes as to not block waiting
  for filtered actions.
- By default pass the TE graph via IPC until its too large for IPC to
  deal with, only then fall back to passing via the disk.
- Stopping of stonith resources can never require stonith, even if the
  node its running on failed; prevent graph loop. (OSDL 1376)
- STONITH events need to inputs to start events (not stops), to avoid
  graph loop in combination with "stop before" dependencies (ie,
  groups).
- crmd: Dont stall the FSA if we try to invoke the TE after we've
  stopped it.
- Always unpack the correct part of a diff operation; diffs should now
  apply in more cases, reducing the need for full refreshs.
- Correctly observe --disable-snmp-subagent during build.
- In some states the membership is invalid and shouldn't be referenced.
  (OSDL 1377)
- Fix a use-before-null-check issue in lrmd. (Coverity #48)
- OCF Resource Agents outside the default path were incorrectly found to
  be not executable.
- ccm: hostcache and delnodecache files should not be authoritative if
  autojoin is disabled. (OSDL 1226)
- With autojoin, llm_get_nodecount() can't return the real max nodes
  anymore, this may cause memory corruption. (OSDL 1382)
- Fix a memory corruption in membership layer, more frequently observed
  with larger (>5) clusters.
- Change the default api-auth for pingd to uid=root
- Dummy RA now OCF compliant.
- Fix pingd RA metadata to be XML compliant.
* Mon Jul 17 2006 lmb@suse.de
- Update to 2.0.6 from upstream.
- Improved CLI help, plus updated man pages.
- Improve logging.
- GUI and DTD now reflect the correct default for the "ordered"
  attribute on clones.
- GUI no longer populates previously unset attributes.
- Memory and resource leaks fixed in stonithd, lrmd, cib, crmd, pengine
  and core message handling functions.
- Anonymous clones were not always renamed correctly, causing the
  impression of clones not being stopped (OSDL #1334, #1340).
- Improve conversion tool from haresources to CIB.
- Added Resource Agents for Oracle, Oracle Listener and Postgres.
- Filesystem stop code now handles nested mounts better.
- STONITH/fencing constraints need to be calculated for each group
  member, not the group as a whole.
- All resource operations are now correctly subject to the default
  timeout.
- GUI and crm_standby now can be used interchangeably.
- When the Transition Graph grows too large for local IPC, pass it via a
  file instead of failing.
- Increase maximum IPC size for on-the-wire communication, so larger
  clusters can be handled.
- Group colocation fixes when one group cant run anywhere (OSDL #1356).
- Resource ids are case-sensitive (OSDL #1350).
- Relax the DTD so common, but harmless ordering issues do not cause
  failures.
- Populate nodes section correctly when the admin replaces it (OSDL
  [#1344]).
- Clones will not be moved to higher weighted nodes (OSDL #1360).
- CIB (broadcast) diffs are more robust now, and a retransmit of the
  full CIB is needed in less cases.
- Pending probes were handled as if the resource was known to be
  running.
- Detect node status correctly and filter out stop requests that cannot
  be run (OSDL #1369).
- Stopping of stonith resources can never require stonith, even if the
  node its running on failed (OSDL #1376).
- Local Denial of Service attack (#194444, CVE-2006-3815).
* Mon Jun 19 2006 lmb@suse.de
- Fix various bugs as tracked by Novell bugzilla #186334:
- Fix crm_resource migration (#183221).
- Fix failed resource colocation and clone interleaving.
- Fix a memory leak in CIB id validation.
- Fix inheritance of attributes from group to its children (OSDL #1312,
  [#1282]).
- Handle anonymous clone renaming correctly when we have too many
  instances in the status section (OSDL #1281).
- Serialize STONITH requests to a given STONITH device in the Policy
  Engine to work-around a limitation in stonithd (OSDL #1272).
- Fix stonithd handling of concurrent, non-overlapping STONITH requests
  and fix a memory leak in memory-locked code (OSDL #1272).
- Fix memory leak in the GUI client (OSDL #1174).
- Fix stonithd start-up (OSDL #1318).
- LRM now limits the number of concurrent children to 16 (OSDL #1204).
- GUI incorrectly displayed a node or resources as offline (OSDL
  [#1279]).
- GUI incorrectly allowed cleanup on complex objects; these now cleanup
  all children instead.
- Avoid upto 180s message delay in lrmd/stonithd.
- Filesystem RA prevented NFS clients to be mounted as clone.
* Mon Jun 12 2006 lmb@suse.de
- CRM:
  - Fix shutdown when a node had failed resources.
  - Swapped params to crm_resource (#182081).
  - Correctly recreate actions for master/slave resources after
    fencing.
  - Handle deletions of transient node attributes.
  - Improve handling of XML diffs (#181975).
- Fencing stopped to operate on the node the GUI connected to, causing
  cluster errors (#181748).
- GUI fixes.
- Add evms to should-start init script requirements (#179219).
- Accept "," as a delimeter for the external/ssh hostlist too
  (#182031).
* Fri Jun  2 2006 lmb@suse.de
- Filesystem RA:
  - Allow stop of an already unmounted fs to succeed (#180303).
- CRM:
  - Order pre-start notifications after post-stop. Order monitoring to
    begin only after confirmed post-start (#180303).
  - Do not schedule more than one probe per node for anonymous clones
    (#180799).
  - Do not wait for operations on failed nodes, but abort them
    immediately (#180150).
  - Probe anoymous clones correctly (#180699).
  - Fix standby for nodes to work again.
* Tue May 30 2006 lmb@suse.de
- mgmtd:
  - Broken CIB could cause segfaults (OSDL #1276, #179052).
- lrmd:
  - Querying the metadata of stonith plugins by the GUI causes loss of
    connection (OSDL #1275, #179707, #179052).
- CRM:
  - Actually honor the result of the DTD validation and prevent broken
    XML from being inserted (OSDL #1276, #179859, #179522).
- 64bit autodetection fixed upstream again.
* Mon May 29 2006 lmb@suse.de
- CRM:
  - Monitor operations now scheduled only after the post-notifications
    for start have been delivered (#177525).
  - Some attributes were missing from the meta namespace (#177554).
  - Notifications for clones about failed nodes (#178488).
  - Transitioner did not abort failed transitions, but looped, and crmd
    did not recover from killed tengine (#178764).
  - crm_mon refresh interval off by a factor of 1000 (#178338).
  - Forced probes could cause an infinite loop.
- LRM:
  - Do not provide outdated metadata to resource agents (OSDL #1273).
- Filesystem RA:
  - Perform the actual mount command within the "start" operation now
    and handle pre-notifications for start right (#177525).
  - Detect broken OCFS2 filesystems earlier (#179520).
- GUI:
  - Fix crash when selecting clone resource (#178665).
  - Allowed to modify/start/stop individual clone children, but not the
    clone itself (#178773).
- ha_propagate: Distribute state whether or not heartbeat is started on
  boot too (#179233).
* Mon May 22 2006 lmb@suse.de
- CRM:
  - Do not shadow instance parameters with internal resource properties,
    and allow clone and them to be set within the (meta) instance
    parameters too (#177554).
  - Fix clone migration in response to shutdowns when clone_max < num
    active nodes (#177637).
  - Tags with no attributes were able to be added to the CIB without
    having an id added to them.
  - Globally unique clones need to have all instances probed for on
    every node.
* Sat May 20 2006 lmb@suse.de
- Fix compilation on s390.
* Fri May 19 2006 lmb@suse.de
- GUI enhancements:
  - Icons updated and new ones added.
  - Resources now default to "stopped".
  - Allow GUI to configure resource_failure_stickiness.
  - Various useability fixes (among them OSDL #1221).
- CIM provider: Don't overwrite directives it doesn't know (#170877)
- LRM:
  - Overflow fixes (OSDL #1222).
  - Be more tolerant for LSB script format.
  - Enhance heartbeat resource class (#1229).
- CRM:
  - Fixes to DTD and DTD validation, prevented some coded features to be
    activated.
  - Useage/help texts/log messages updated in various places.
  - attrd: Make sure new value is always written to CIB.
  - Support target_role for groups (instead of crashing) (OSDL #1248).
  - Fix handling of defaults for target_role.
  - Clones now default to one instance per node.
  - Fix CIB update handling for replace (#174049, OSDL #1247).
  - Probe newly added resources too (OSDL #1252).
  - Avoid some unnecessary resource restarts.
  - Fix attribute value inheritance (OSDL #1253).
  - pingd: Fix retry handling when connecting to CIB (#176014).
  - crm_resource: Allow deletion to be forced when cluster doesn't have
    quorum.
- heartbeat core:
  - Fix sending of compressed/binary fields over serial links.
- Resource Agents:
  - OCFS2 integration fixed and merged with upstream (#174908, #175986).
  - LVSSyncDaemon fixes to work with recent sed (OSDL #1249).
  - STONITH: Provide correct metadata.
  - apache: Fix metadata operation (OSDL #1254), monitor operation, and
    enhance helptexts.
- Start heartbeat after Xen is finished with its networking changes
  (#177134).
- Small Coverity fixes.
* Mon May  8 2006 lmb@suse.de
- GUI can now be invoked as "hb_gui" in the regular path.
- ha_propagate added to allow YaST2 heartbeat module to succeed
  (#172693, #172043).
- CRM:
  - Case no longer matters for internal options.
  - Process IPC routing messages immediately in the FSA to avoid
    stalling.
  - Post notifications will now always be delivered, and after the
    operation too (#170573).
  - When deliberately stopping a resource, stop everything which depends
    on it too (OSDL #1219).
  - Fix file permissions on the CIB to not be world readable (OSDL
    [#1224]).
  - Default to stop deleted resources, which is the expected behaviour
    (OSDL #1236, #173002).
  - When logging XML, allow admin-defined sensitive information to be
    hidden (to whiteout credentials).
  - Cloned resource groups fixed.
  - cibadmin will now update/modify/replace/create objects recursively
    if needed.
  - If "target_role" is explicitly set, the is_managed attribute is
    ignored, to ease debugging of configurations and RAs.
  - Don't schedule recurring operations for nodes which are offline
    anyway.
  - Don't update the CIB with failure to cancel operations.
  - crm_resource accepts both long and short resource names.
  - crm_resource triggers an update/transition after clearing resource
    state.
  - crm_failcount querying the current failure count has been fixed.
  - Clean up reporting of dead resources in crm_mon / crm_resource -L.
  - Help text fixes.
  - Logging fixes.
  - Only create debugging coredumps for non-fatal assertions if debug is
    enabled.
  - cibadmin manpage added.
- CCM:
  - Fix one potential NULL pointer dereference.
- heartbeat core:
  - Patch from gshi to greatly enhance autojoin behaviour; new nodes
    need to listen to those already joined for the hostcache contents.
- Resource Agents:
  - Bring drbd RA uptodate with master/slave changes.
- CIM provider:
  - Logging fixes.
  - Fix performance bugs in the caching mechanism.
  - Regression test harness fixed & extended.
  - Support location constraints.
* Mon Apr 24 2006 lmb@suse.de
- Update to heartbeat 2.0.5 to sync intermediate fixes with upstream.
  Incremental changelog to previous:
  - CRM:
  - Do not promote resources which couldn't be started.
  - Fix handling of orphaned resources (again).
  - Use CTS for BasicSanityCheck.
  - Increase some timeouts to not trigger prematurely.
  - Ensure that promotions and demotions happen in the correct order
    always.
  - Ignore the quorum state written in on-disk CIB copy.
  - Ensure that we can deal with slightly confusing messages from CCM
    caused by autojoin.
  - resource_tickiness/is_managed can now be set to "default" to
    explicitly inherit the global default.
  - Process LRM events immediately, as the TE might need them to
    complete the transition.
  - GUI/mgmtd:
  - Updated icons.
  - Ability to start/stop/demote resources on request.
  - Show master/slave status in the GUI.
  - Initialize cache for objects when first used, not on startup;
    speeds up initialization.
  - mgmtd is now started by default for CRM-style clusters.
  - Resource Agents:
  - Apache RA fixes to error handling and corresponding exit codes.
  - LRM:
  - Keep track of all monitor operations, even if they are running at
    different depths or intervals.
  - CCM/membership:
  - Reduce excessive timeouts.
  - Send node names as part of the new membership, important for
    autojoin (OSDL #1181).
  - Only update the node names in the right place (OSDL #1198).
  - CIM provider:
  - Add instance attributes to mof.
  - Add id attribute to resource group object.
  - heartbeat core:
  - Reduce memory footprint by shrinking message history.
  - Turned off a "feature" where a node could be automatically
    deleted, which broke autojoin.
  - Improved API for heartbeat/GSource, to avoid upto 3 minute delays
    in delivering messages to the CRM.
  - Default to realtime-safe compression algorithm.
  - Everywhere:
  - Logging.
  - Small Coverity fixes.
- Additional fixes:
  - Priorize local IPC to avoid blocking the Transition Engine (OSDL
    [#1206]).
  - Minor corrections to crmadmin help text (#163925).
  - Set OCF_MONITOR_LEVEL correctly.
* Mon Apr 10 2006 lmb@suse.de
- Reduce BuildRequires further.
- Disable backwards compatibility for some depreciated features which
  were never shipped.
- Various (~20) minor issues found by Coverity, mostly in error legs.
- CRM:
  - ipfail functionality now available in CRM mode using attrd + pingd,
    controlled via pingd OCF Resource Agent (OSDL #123).
  - Bugfixes for rolling upgrade scenarios.
  - Set up the STONITH configuration prior to issueing STONITH requests;
    avoid unnecessary retries (OSDL #1102).
  - Further updates to the DTD.
  - Special CIB section "cib-bootstrap-options", read and parsed first
    thing on startup.
  - crmadmin help did not match real option names (#163933).
  - If CIB validation fails, revert to last known good CIB.
  - Better CIB error reporting for invalid sections.
  - Mask misleading empty "failed" message for success.
  - Make the DC timeout dependant on the value of ha.cf/initdead
- GUI/mgmtd:
  - Display the cluster currently connected.
  - Do _not_ log the password in cleartext.
- CIM provider:
  - Resource addition
  - Adding operations to resources
  - New class HA_ClusteringService
  - Various updates.
- heartbeat core:
  - Messages were delayed by several minutes in some cases (OSDL
    [#1183]).
* Fri Apr  7 2006 lmb@suse.de
- heartbeat package failed to uninstall because init script was not LSB
  compliant (OSDL #1189, Novell #117474).
* Wed Apr  5 2006 lmb@suse.de
- Reduce buildrequires dependencies by defaulting to path names.
- CRM fixes:
  - Master/slave resources have been tested and work.
  - "crm_role" now passed on to RAs as indication of m/s invocation.
  - Election timer related fixes (OSDL #1151, #1154).
  - Logging has been greatly enhanced and reduced in volume.
  - Failcount only applies to recurring actions (monitor).
  - crm_verify now can also optional save the CIB used (if invoked on
    the live CIB) for reproduction.
  - Better error handling and user feedback in cibadmin.
  - CIB is now smaller by only saving the hash of the parameters in the
    status section instead of the full list.
  - DTD has been updated and the CIB can now be validated using xmllint
    (OSDL #1169).
  - crm_mon no longer displays provider for LSB/heartbeat class
    resources.
  - pengine now writes its inputs to disk under
    /var/lib/heartbeat/pengine/, instead of logging them. Reduces log
    flooding by 40%% and improves supportability.
  - New resource paramater "target_role" to specify that the admin wants
    a resource to be Stopped (ie, not running), or to prevent it from
    being promoted to Master.
  - CIB better deals with invalid changes by the admin.
  - cibadmin fixes for "Call cib_create failed (-25): The update was
    empty"
  - CIB deletions could cause a crash (OSDL #1141).
  - Make sure logs are flushed before aborting.
  - CIB now supports validation against the DTD to protect the admin
    from inserting invalid XML when all nodes are 2.0.5 and up (OSDL
    [#1169]).
  - crmadmin help text advertised unimplemented commandline options
    (#163517, #163563).
- GUI:
  - Indicate refreshing progress in status bar to avoid appearing hung
    (OSDL #1160).
  - Further improved client-side caching for performance.
  - Report why login to the server failed.
  - Fixed a crash in conjunction with crm_resource -M (#154512, OSDL
    [#1176]).
  - Show whether a node is in standby mode or not (OSDL #1175, #1004).
  - mgmtd memory leak fixed.
  - Crashed daemon caused GUI to consume all CPU (OSDL #1157).
- LRM:
  - Logging improvements.
  - Do not send redundant notifications to crmd (OSDL #1083).
  - Do report failure of class heartbeat resources (OSDL #1163).
- CIM provider:
  - Detect http/https ports for openwbem (OSDL #1104, #151297).
- heartbeat core:
  - Fix a crash in our IPC code on channel disconnect (OSDL #1182).
- Resource agents:
  - ldirectord to use /dev/null instead of /dev/console when daemonized
    (OSDL #1180).
  - Remove stray "parameters" closing tag in OCFS2-enabled Filesystem
    RA, causing GUI to not display help (#158531).
* Mon Mar 27 2006 lmb@suse.de
- Logging updates.
- CRM fixes:
  - Master/slave resources now apply number of maximum masters
    correctly.
  - STONITH type (reset/power-off) configurable (OSDL #113).
  - Checksum the CIB on disk (OSDL #197).
  - Ability to migrate resources after a monitoring failure.
  - Deleting a deleted object is idem-potent and succeeds now.
  - TE now detects cancelled ops correctly.
  - If the UUID of a node changes (because the same hostname has been
    re-assigned to a newly rebuild machine), update our caches.
  - Create core files / backtraces for asserts without crashing.
  - Do not issue probes for orphaned resources.
  - If probing returns that the resource is running, do not treat this
    as a failure always.
  - crm_master must also use the same uname for the local host as
    heartbeat.
- GUI:
  - Typos fixed in messages.
  - Do not display stopped orphaned resources as to not confuse users.
  - "Not running" is distinct from "failed".
  - Do not retrieve the complete CIB for every update of the screen.
- LRM:
  - Enhance fix for OSDL #756.
- stonithd:
  - Fix memory leaks (OSDL #1036 and #951).
- CCM:
  - Split-brain recovery fix, handle born-on correctly.
  - 64bit fix: gpointer type was truncated.
- CIM provider:
  - Make constraints writable.
  - Make resources writable.
  - Ability to create/update ha.cf
- Resource agent for Xen guests added.
* Mon Mar  6 2006 lmb@suse.de
- Post-2.0.4 critical fixes:
  - CCM: Attach the bornon value to the membership message. Fixes
    split-brain scenario documented in OSDL #1092.
  - heartbeat: should_drop_message() might be called recursively; last
    sequence number needs to be updated beforehand. Fixes split-brain
    after STONITH bug OSDL #1103.
  - Portability fixes.
* Wed Mar  1 2006 lmb@suse.de
- Update to 2.0.4 - bugfix-only release:
  + Fixed cpu loop for LRM
  + Fixed minor bugs in Filesystem resource agent (submounts, some
  options)
  + Various small resource agent cleanups
  + Keep CCM from core dumping when certain conditions occur which
  cannot be recovered from.
  + make the Raid1 resource agent more mdadm friendly (Ranjan Gupta), and
  other fix
  + CRM General
    + Fix for a crash where the CRM referenced a NULL pointer.
    + Refine shutdown detection
    + Review and fix the contents and timing of CIB updates that are required
    when nodes appear, leave, and join the CRM.
  + TEngine
    + Avoid recursion by using Gmainloop
    + Detect un-runnable sections of the graph without the need for timeouts
  + PEngine
    + Add code to support notification data for start/stop actions
  associated with clone resources
    + Bug 1084: Nodes that are offline but have active resources listed need
    to be marked as unclean for possible fencing
* Thu Feb 23 2006 lmb@suse.de
- Import fixes from upstream:
  - Failures on lower priority resources will no longer abort the
    transition if higher priority ops are still on-going (OSDL #815).
  - Transitioner could still be active during join process because of a
    wrong message filter, potentially causing resources to be active
    twice.
  - Node state tracking went wrong in corner cases.
  - CRMd state machine fixes.
  - Do not request information already known every time after an
    election.
  - Be more tolerant of not-entirely-correctly formatted XML.
  - CIB shutdown enhanced to not discard in-flight updates which led to
    unneeded STONITH operations (OSDL #1093).
  - When not all nodes had been seen on initial startup, the UUID field
    for them would be empty; handle this case.
  - Make sure that CRM does not crash when LRM dies.
  - crm_resource: resource migration will try to avoid infinite
    priority, unless admin explicitly requests it, to allow for
    automated fail-back by default.
  - More logging tuning.
  - CTS synchronized with the above changes.
- Fix requires for GUI (#149702).
* Thu Feb 16 2006 lmb@suse.de
- Update to 2.0.3 release. Upstream changelog:
  + Management Daemon/Library and GUI client
    + provide a management library for manamgement daemon and CIM provider
    + provide a management daemon and a basic GUI management tool
  + CIM enablement
    + CIM (Common Information Model) enablement - works with
    sblim-sfcb, OpenWBEM, and Pegasus CIMOMs
  - not yet compiled into our binary RPMs because of dependencies
  + CRM (Cluster Resource Manager) General
    + All shutdowns go via the PE/TE - preserves inter-resource ordering
    + Support for future changes to the CIB (depreciation of cib_fragment)
    + Overhaul of IPC and HA channel callback logic
    + Many improvments to the quality and quantity (reduced) of logging
  + CRMd
    + Timerless elections - when everyone has voted we're done
    + Use the replace notification from the CIB to re-update our copy with
    our view of our peers.
    + Reliably detect if the LRM connection is still active.
    + Elections
    + newer versions defer to older ones in DC elections
    (opposite of current behavior)
    + this means that only once the complete cluster has been upgraded will
    we start acting like the new version and accept new config options
    + it also means newer PE's and TE's (the most complex pieces) don't need
    "act like the old version" options and can rely on all slaves being at
    least as up-to-date as they are
    + people can run mixed clusters as long as they want
    (until they want the new PE features)
    + new DCs only update the version number in the CIB if they have a
    higher value
    + nodes that start and have a lower version than that stored in the CIB
    shut themselves down (the CRM part anyway)
    + this prevents an admin from introducing old nodes back into an upgraded
    cluster. It probably doesn't fully understand the config and may not
    support the actions the PE/TE requires.
  + CIB (Common Information Base daemon)
    + Make sure "query only" connections cant modify the CIB
    + Periodically dump some stats about what the CIB has been doing.
    + Verify there are no memory leaks
    + Performance enhancements
    + Prevent a single CIB client from blocking everyone else
    + Clients Can be notified of full CIB replacements
    + record_config_changes option in ha.cf for those worried about
    the amount of logging.  Defaults to "on".
    + suppress_cib_writes CIB option replaced with in enable_config_writes ha.cf
    (enable_config_writes to be removed in 2.0.4)
    + Never write the status section to disk
    + Check permissions for the on-disk CIB at startup
    + Dont trash unreadable on-disk CIBs
    + Fix for updates made against the whole CIB (not just one section)
  + PEngine (Policy Engine)
    + Many improvements to the handling of resource groups
    + Support "anonymous" clones
    + Fix stonith ordering
    + Order DC shutdowns after everyone else's
    + Support short resource names (for group and clone resources)
    + The ordering and colocation of grouped resources is now optional
    + Support probing new nodes for active resources.
    + All "probe" actions are controlled by the PE.
    + No resource may be started until the probing is complete.
    + Do not probe for resources we know to be active on unprobed nodes
    + When looking for monitor ops, only mark it optional if it was already
    active on the node we're interested in.
    + Detect changes to class/type/provider/parameters and force a restart
    of the resource
    + New record_pengine_inputs option in ha.cf for those worried about
    the amount of logging.  Defaults to "on".
    + Differentiate between config and processing errors
    + reduces the frequency that we need to log the complete CIB
    + Make notify for master/slave work
    + New CIB option: stop_orphan_actions (boolean)
    If a resource is no longer defined, we can optionally stop it
    + New CIB option: stop_orphan_actions (boolean)
    If a monitor op for a given interval is no longer defined, we can
    optionally stop it
    + Add support for time and phase-of-the-moon based constraints
    + Improved failure handling: avoiding false positives
    + Always create orphaned resources - so they show up in crm_mon
    + Do not require sequential clone numbers starting at 0
  + TEngine (transition engine)
    + Detect old stonith ops
  + CLIs (Command Line interfaces)
    + Create a --one-shot option for crm_mon
    + Switch a number of CLI tools to use the new syncronous connections
    + Log errors to stderr where they will be seen and therefore useful
    + Support migration and un-migration of resources and resource groups
    + Create crm_verify for checking configuration validity
    + Simplify the passing of XML to cibadmin
  + Known open bugs worth mentioning:
    (http://www.osdl.org/developer_bugzilla/)
    + 1075, 1080, 1081, 1084, 1085, 1064, 1069, 756, 984
    + 1050, 1082, 1037, 1079
- Post-release fixes:
  - Transitioner less fragile and infinite loops fixed
  - CIB update counters now set correctly
  - Shutdown of the CRM now goes via the Policy Engine to coordinate
    shutdown of managed resources
  - Small logging cleanups.
* Mon Jan 30 2006 lmb@suse.de
- Update to 2.0.3.20060130-CVS.
- Add OCFS2 extensions to Filesystem agent for testing.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 23 2006 lmb@suse.de
- Update to 2.0.3.20060123-CVS.
* Mon Jan 16 2006 lmb@suse.de
- Sanity checks should not have been enabled.
* Mon Jan 16 2006 lmb@suse.de
- Update to 2.0.3.20060116-CVS.
- Enable full stack smashing protection.
- Split off CIM provider into its own subpackage.
* Fri Dec 16 2005 ro@suse.de
- removed raidtools from nfb
* Tue Dec 13 2005 lmb@suse.de
- Fix one more makefile dependency.
- Disable make parallelization (again).
* Tue Dec 13 2005 lmb@suse.de
- Update to 2.0.3.20051213-CVS.
- Enabled OpenWBEM CIM agents.
- Enabled management daemon.
* Thu Dec  1 2005 lmb@suse.de
- Update to 2.0.3-20051201-CVS.
* Thu Nov 10 2005 lmb@suse.de
- Update to 2.0.3.20051110-CVS.
- Disable fatal warnings temporarily (breaks in some generated flex
  code).
* Tue Nov  8 2005 dmueller@suse.de
- don't build as root
* Tue Oct  4 2005 lmb@suse.de
- Update to 2.0.3.20051004-CVS.
* Tue Sep  6 2005 lmb@suse.de
- Update to 2.0.1.20050906 CVS
- Fix cyclic dependency problem (#115370)
* Wed Aug 17 2005 lmb@suse.de
- Update to CVS from 2005-08-17 (pre-2.0.1)
- Specfile cleanups.
- Reenable build parallelization, the dependency problem is fixed now.
* Mon Aug 15 2005 lmb@suse.de
- Update to CVS from 2005-08-15.
- New manpages.
- New GPL plumbing library.
* Wed Aug  3 2005 uli@suse.de
- disabled build parallelization. Again.
* Mon Aug  1 2005 lmb@suse.de
- Update to 2.0.0 from upstream.
- With additional fix for heartbeat bug #797 pulled from CVS.
* Wed Jul 20 2005 uli@suse.de
- disabled build parallelization (transient build failures)
* Mon Jul 11 2005 lmb@suse.de
- Update to 1.99.6.
- Drop static libraries.
- Exclude permissions file (#66310).
* Sun Apr 10 2005 lmb@suse.de
- Update to 1.99.4
- gcc4 compile fixes
- Add ha_logd to init script as needed.
* Mon Mar  7 2005 lmb@suse.de
- More bugfixes from upstream, mostly in core communication code.
- Make failing the build in response to BasicSanityCheck adjustable
  and include testlog in output. (Makes triaging distributed builds
  easier.)
- Ignore core dumps created by "stat" failing with MALLOC_CHECK_=2
* Mon Feb 28 2005 lmb@suse.de
- Fix dependencies.
- Import several bugfixes from upstream for multi-node clusters:
  - Startup & shutdown fixes
  - DC election fixes
  - Logging cleanups
* Mon Feb 21 2005 lmb@suse.de
- Update to heartbeat 1.99.2 from upstream.
* Tue Sep 21 2004 lmb@suse.de
- Disable the build-time testing again.
* Tue Sep 21 2004 lmb@suse.de
- Update to 1.2.3 from upstream.
- Merge SLES9 SP1 changes.
- Add /etc/permissions.d/heartbeat to tell the system about the new
  setgid binary.
* Thu Aug  5 2004 lmb@suse.de
- Fix build issue with recent autoconf/automake breakage.
- Backport fixes from pre-1.2.3 release:
  + Fix SimulStop testcase
  + Add work-around to quieten warning messages on sporadically bad
    serial links (#41786)
* Thu May 13 2004 lmb@suse.de
- Oversight: Add patch for compilation on 64bit archs.
* Wed May 12 2004 lmb@suse.de
- Update to upstream 1.2.2, bugfix release:
  + Fixed several format string errors in communication plugins
  + Fixed a bug which kept us from diagnosing errors in non-aliased interfaces
  + Fixed a bug in ipaddr which caused an infinite loop when auto_failback on
  + Added IPv6addr resource agent
  + Added ibmhmc STONITH plugin
  + Added cl_status command
  + Fixed a bug regarding restarts when auto_failback is on.
  + Fixed a couple of bugs in sha1 authentication method for very long keys
  + Fixed a bug in the portblock resource agent so that it no longer blocks
    ports on the loopback interface
  + Increased the time allowed for split brain test before it declares failure
* Tue Apr 20 2004 lmb@suse.de
- Update with upstream 1.2.1, fixes following bugs:
  + Netstrings can now be used for our on-the-wire data format
  + Significant improvements to SAF data checkpointing API
  + Implemented unbuffered ipcsocket code for SAF APIs
  + Watchdog device now kills machine instantly after deadtime
  instead of after one minute
  + Hostnames should now be treated case-independently.
  + Fixed bug with auto_failback and quick full restarts
  + We now automatically reboot when resources fail to stop correctly.
  + We now check the status of the configured STONITH device hourly.
  + STONITH operations repeat after a 5 second delay, not immediately.
  + Added hb_takeover command - complement to hb_standby
  + Added documentation on how to use evlog/TCP to enable testing to
  take place without losing messages due to UDP message forwarding
  + Several new tests from Mi, Jun - split brain, bandwidth, failure
  detection time.
  + Fix to LVM resource from Harald Milz <hm@muc.de>
  + Fixed false complaints about resource scripts (from Jens Schmalzing)
  + Fixed false stop failure from LinuxSCSI  (from Jens Schmalzing <j.s@lmu.de>)
- Disable experimental CRM feature for production version.
- Minor specfile updates.
* Mon Apr  5 2004 lmb@suse.de
- Report correct heartbeat status code from init script. (#37544)
* Wed Feb 18 2004 lmb@suse.de
- New stable release: heartbeat 1.2.0
- Minor specfile cleanups.
* Mon Feb  9 2004 lmb@suse.de
- Updated heartbeat init script to match latest upstream.
- Synced with CVS.
* Fri Feb  6 2004 lmb@suse.de
- Upgrade to latest development version from CVS.
- Specfile changes for 1.1.4
- Prepared for nightly builds, including some additional spec file
  variables to turn the automated regression tests on and off.
* Sat Jan 10 2004 adrian@suse.de
- add %%run_ldconfig
* Mon Nov 10 2003 ro@suse.de
- use net-snmp instead of ucd-snmp
* Mon Oct 13 2003 lmb@suse.de
- Upgrade to 1.0.4.
- Fix permission problem with CCM sockets.
- Do not compile with -g.
- Fix ldirectord resource script being included twice.
- Fix pre script to not fail if the user/group were already in place.
* Fri Aug 29 2003 kukuk@suse.de
- Call useradd with -r for system accounts [Bug #29611]
* Thu Jul 31 2003 lmb@suse.de
- Added support for proper restart handling on update.
* Thu Jul 31 2003 lmb@suse.de
- Pulled in proper fix for previous hotfixes from heartbeat CVS.
- Also includes fixes to Filesystem resource, messaging API, reload not
  working as well as the BasicSanityCheck fixes required for QA.
* Wed Jul  2 2003 lmb@suse.de
- Fix for reload bug. (#27677)
- Fix for STONITH not being executed on startup if other node is
  down. (#27677)
* Wed Jun 25 2003 lmb@suse.de
- Fix stray dependency.
- Upgrade to 1.0.3 final.
- Fixes security issue (#27632)
* Tue Jun 17 2003 lmb@suse.de
- Fix filelist.
* Wed Jun  4 2003 lmb@suse.de
- Upgrade to 1.0.3pre, consolidating the former fixes with mainline.
- Important overflow bug fixed for scenarios where heartbeat reaches
  uptimes of >246days.
- Filelist cleanups.
* Fri Apr 11 2003 lmb@suse.de
- Fix and cleanup to previous fix.
* Wed Apr  9 2003 lmb@suse.de
- Fixes to heartbeat's mlockall() strategy to reduce the chance
  of being hit by a page fault under load in timing critical
  sections.
* Wed Mar 26 2003 lmb@suse.de
- Fix for #25720: IPC socket code did not deal correctly with
  messages still to be read from a socket which has already
  indicated disconnect, the final message would not be read.
* Tue Mar 25 2003 lmb@suse.de
- Fix for #25718: apphbd restart failure.
* Thu Mar 20 2003 lmb@suse.de
- Update to 1.0.2 proper from 1.0.2pre:
  - man page update for apphbd
  - Minor bugfixes
* Mon Mar 17 2003 lmb@suse.de
- Incorporated fix from Ram Pai of IBM EVMS group for message loss
  under high load.
* Fri Mar 14 2003 lmb@suse.de
- Upgrade from beta-cycle to 1.0.2pre.
- Includes bugfix for send_arp and others.
* Fri Feb 14 2003 lmb@suse.de
- Upgrade to 0.4.9g
* Wed Feb  5 2003 lmb@suse.de
- Incorporated fix for apphbd realtime freeze, bug #23304.
* Mon Feb  3 2003 lmb@suse.de
- Fixes bug in apcmastersnmp module for copying outlet names, #22790
* Thu Jan 30 2003 lmb@suse.de
- Compile fixes.
* Tue Jan 28 2003 lmb@suse.de
- Updated to latest CVS.
- Fixes for CCM (STONITH will now tell if no device was configured)
- wti_nps / apcmaster modules: fixes for telnet timing on fast machines.
* Thu Jan  9 2003 lmb@suse.de
- Fix for local status updates getting delayed / lost.
- Fix in IPaddr if used with LVS & hidden interfaces on loopback.
- Corrected placement of apphbd pid file
* Thu Nov 21 2002 lmb@suse.de
- Update to heartbeat 0.4.9f
- Supports millisecond timeouts, includes startstop script
- Fix for bugzilla #21905: memory leak in heartbeat-ldirectord due
  to Perl socket() bug
- ipfail socket now created correctly
- Fix for ucast comm plugin (again)
- (Includes fix for autoconf breakage)
* Thu Nov 21 2002 ro@suse.de
- removed duplicates from configure.in
* Wed Oct  9 2002 lmb@suse.de
- heartbeat version 0.4.9e
- More elaborate fix for #20586 (drops privileges, printf fixes in
  more places)
- Realtime fixes, filedescriptor leak fixed, startup SMP race fixed,
  unicast plugin works again.
- Minor tidy-up to the rc script.
- Superfluous dependency on libnet dropped.
* Sun Oct  6 2002 okir@suse.de
- security fix (bug #20586)
* Tue Sep 17 2002 lmb@suse.de
- Updated because of a very important bugfix in the generic plug-in
  system.
- Include CTS in package.
- Fixes for the ipfail module and ping membership code.
- Logging cleanups.
- Fix one build dependency which resulted in the paths for ping and ssh
  not being resolved correctly.
* Tue Sep 10 2002 lmb@suse.de
- The STONITH plugin apcmastersnmp wasn't linked against libsnmp
  for some reason.
* Thu Aug 29 2002 lmb@suse.de
- Updated to new CVS version because of important change in the module
  handling for STONITH modules.
- Bugfixes for the restart logic, IPaddr takeover, send_arp, the Concensus
  Membership Code
- Fix for a potential tempfile race found by Olaf Kirch.
* Mon Aug 12 2002 lmb@suse.de
- Updated because of an important bugfix in the message handling.
- Dropped compile fixes because they are now integrated.
- heartbeat-pils added as subpackage.
* Wed Jul 31 2002 lmb@suse.de
- Updated to 0.4.9d
- Includes Ram Pai's concensus membership code
- PreReqs cleaned up
- Dependencies in init script enhanced
- user "hacluster" added
- Build fixed for distributions older than 8.1
* Tue Jul 23 2002 lmb@suse.de
- Upgraded to official beta release.
* Tue Jul 16 2002 lmb@suse.de
- Updated to latest CVS in preparation for official release.
- Added the autoconf 2.53 fix as a separate diff, as it got backed
  out of CVS, because it breaks all older versions of autoconf.
* Mon Jul 15 2002 lmb@suse.de
- More compile fixes for sparc, s390. Now builds on all platforms.
* Thu Jul 11 2002 lmb@suse.de
- Fixed compilation and packaging for 64-bit architectures.
- Fixed groupadd in spec file
* Wed Jul 10 2002 lmb@suse.de
- Update to latest CVS once more
- heartbeat now requires libnet
- Checked into autobuild again
* Mon Apr 15 2002 lmb@suse.de
- Updated heartbeat to 0.4.9b from CVS
- Reworked spec file
- Reworked init.d script; START_ variable now ignored
- Subpackage renamed to comply with original source: ldirectd -> ldirectord
* Thu Jan 31 2002 jg@suse.de
- updated apcmastersnmp STONITH module to CVS version
* Thu Dec 20 2001 ro@suse.de
- removed START_HEARTBEAT from startscript
- fixed insserv calls
* Thu Dec 20 2001 jg@suse.de
- Update to 0.4.9.1
- removed insserv calls and rc-link creation from specfile
- added insserv macros to specfile
- added wti_nps module from linux-ha cvs
* Thu Oct  4 2001 jg@suse.de
- added ia64 patch
* Wed Sep 19 2001 jg@suse.de
- Update to 0.4.9
- added SSH reset module
- Build root works now (using patches from HBV)
* Tue Feb 20 2001 uli@suse.de
- fixed for new glibc
* Thu Jan 18 2001 ro@suse.de
- next occurence of old gid
* Wed Jan 17 2001 ro@suse.de
- changed gid to 65 all over
* Tue Jan 16 2001 ro@suse.de
- changed group-id to 65 (60 is already used)
* Tue Jan 16 2001 mt@suse.de
- deleted '' characters in spec file
* Tue Dec 19 2000 uli@suse.de
- added openssl to neededforbuild (needed by lynx)
* Fri Dec  1 2000 ro@suse.de
- init-script move to /etc/init.d
* Wed Nov 22 2000 mt@suse.de
- changed to LSB installation of run level scripts
* Fri Nov 17 2000 mt@suse.de
- updated to newest version 0.4.8i
* Wed Nov 15 2000 mt@suse.de
- updated to newest version 0.4.8h
* Wed Nov  8 2000 mt@suse.de
- added patch to not to install docs from makefile - rpm does it
* Wed Nov  8 2000 mt@suse.de
- new package
